% This function is used to generate a template to maskout the eliminated
% regions, for defininf the regions need to be compared in the loss
% function during generating most similar samples.
% By Yuxiang Yan, August 22, 2017
Path = '/autofs/space/bidlin7_001/users/GAN/GSP/Images/Masks';
mask = 'pcc';
% --- no change below ---
Flattened_Image = imread([Path '/' mask '.tiff']);
Flattened_Image = Flattened_Image(51:550,51:550,:);
% figure; imagesc(Flattened_Image(:,:,3));
% R_and_B_Map = abs(Flattened_Image(:,:,1) - Flattened_Image(:,:,2)) + abs(Flattened_Image(:,:,3) - Flattened_Image(:,:,2));
% figure; imagesc(R_and_B_Map);

Filter_Image = ones(500,500);
for n1 = 1:500
    for n2 = 1:500
        v = Flattened_Image(n1,n2,:);
        if v(1)==v(2) && v(2)==v(3) && v(1)==v(3)
            Filter_Image(n1,n2) = 0;
        end
    end
end
figure; imagesc(Filter_Image);
% axis off;

imwrite(Filter_Image, [Path '/eliminated_' mask '.png'],'png'); % change


