#!/bin/csh


setenv SUBJECTS_DIR /autofs/space/bidlin7_001/users/GAN/ADXuanWu/Recon

# --- change start ---

set hemi = rh
set dataset = Test20
set count1 = 89
set stop1 = 89
set stop_nframe = 120

# --- change end ---
set att_file = /demo/list_train_and_test.txt
set InPath = /demo/mgh_files/GSP_${hemi}_${dataset}

while ($count1 <= $stop1)
   set subject = `head -n $count1 $att_file | tail -n 1 | awk '{print $1}'`
   echo subject ${subject}
   set count_nframe = 1

   while ($count_nframe <= $stop_nframe) 
     echo ------------- count1 ${count1} -------------------
     echo ------ count_nframe ${count_nframe} ------
   
     tksurfer fsaverage4 $hemi inflated -patch ${hemi}.full.flat.patch.3d -overlay $InPath/${dataset}_${count1}_${subject}_${hemi}_013_${count_nframe}.mgh -fminmax -0.5 0.5 -fslope 1.0 -colscalebarflag 0 -invphaseflag 0 -tcl /autofs/space/bidlin7_001/users/GAN/GSP/Scripts/yx_yx.tcl
     mv yx.tiff /autofs/space/bidlin7_001/users/GAN/GSP/Images/GSP_${hemi}_${dataset}/${dataset}_${count1}_${subject}_${hemi}_013_${count_nframe}.tiff

     tksurfer fsaverage4 $hemi inflated -patch ${hemi}.full.flat.patch.3d -overlay $InPath/${dataset}_${count1}_${subject}_${hemi}_014_${count_nframe}.mgh -fminmax -0.5 0.5 -fslope 1.0 -colscalebarflag 0 -invphaseflag 0 -tcl /autofs/space/bidlin7_001/users/GAN/GSP/Scripts/yx_yx.tcl
     mv yx.tiff /autofs/space/bidlin7_001/users/GAN/GSP/Images/GSP_${hemi}_${dataset}/${dataset}_${count1}_${subject}_${hemi}_014_${count_nframe}.tiff

     @ count_nframe = $count_nframe + 1
   end

  @ count1 = $count1 + 1
end

#tksurfer fsaverage4 rh inflated -patch rh.full.flat.patch.3d -overlay /autofs/space/bidlin7_001/users/GAN/GSP/Images/mgh_files/GSP_rh_Train80/Train80_10_090214_RV76RK_rh_013_37.mgh -fminmax -0.5 0.5 -fslope 1.0 -colscalebarflag 0 -invphaseflag 0 -tcl /autofs/space/bidlin7_001/users/GAN/GSP/Scripts/yx_yx.tcl
#     mv yx.tiff /autofs/space/bidlin7_001/users/GAN/GSP/Images/GSP_rh_Train80/Train80_10_090214_RV76RK_rh_013_37.tiff

