#! /bin/csh -f
# By Yuxiang Yan, Sep 15, 2017
# Need to run in DCGAN/ folder

#setenv PATH /autofs/space/bidlin7_001/users/GAN/anaconda3/bin:${PATH}

set InPath = /demo

set subnames = (89)

foreach subname($subnames)
set dataset = GSP_lh_Test20_${subname}
set stop = 240 # 240*sub_number
set masks = (temporal2_lh)
#set masks = (lat_frontal_lh med_frontal_lh occipital_lh parietal_lh temporal_lh)
#set masks = `cat /autofs/space/bidlin7_001/users/GAN/GSP/NetworkSimulation/MaskImagesBinary/BAmasks.txt`

# ---- No change below ---


set sampledir = $dataset

foreach mask($masks)
  mkdir -p $InPath/results/
  set count = 1

  while ($count <= $stop)
    set cmd = "python main_v2_13.py --dataset=$dataset --input_fname_pattern='*.tiff' --batch_size=64 --input_height=500 --input_width=500 --output_height=500 --output_width=500 --count=$count --mask=$mask"
#    echo "$cmd"
    pbsubmit -c "$cmd"
#    eval "$cmd"
  #  pbsubmit  -l nodes=1:ppn=2,vmem=14gb -c "$cmd" -q max200

    @ count = $count + 1
  end

end
end
